autopkgtest always fails with "I can't find mariadb-test"

Bug #1824335 reported by Dan Streetman on 2019-04-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mariadb-10.1 (Ubuntu)
Medium
Unassigned
Bionic
Medium
Dan Streetman
Cosmic
Medium
Dan Streetman

Bug Description

[impact]

mariadb-10.1 autopkgtests always fail because it can't find its dependency 'mariadb-test'

[test case]

see any of the mariadb-10.1 autopkgtest logs, or just run autopkgtest on mariadb-10.1

[regression potential]

very low, as no actual code changes are involved; only debian/ content is changed, and that is limited to adding the -test packages back to the control file, restoring mariadb-test package setup, adding unstable-test lists, and adding isolation-container requirement to the smoke test. All have been cherry-picked from debian.

Any regressions would almost certainly result only in failed tests and/or builds.

[other info]

this has been failing for quite a while now. it is failing only for bionic and cosmic; disco has corrected it. The problem is that debian removed the mariadb-test packages from 10.1 because they added 10.2, which also provided the packages into the same namespace (the binaries don't have the -10.1 suffix). However, we don't provide 10.2 in bionic or cosmic, and removing the 10.1 tests only results in 1) no upstream tests being runnable and 2) since we didn't remove the mariadb-test depends in debian/tests/control, it results in failed autopkgtests every time.

There is also a more serious matter, that bionic has continued to get mariadb-10.1 updates, while cosmic has not. So the bionic version is higher than the cosmic version:

$ rmadison mariadb-10.1
 mariadb-10.1 | 1:10.1.29-6 | bionic/universe | source
 mariadb-10.1 | 1:10.1.29-6ubuntu2 | cosmic/universe | source
 mariadb-10.1 | 1:10.1.38-0ubuntu0.18.04.1 | bionic-security/universe | source
 mariadb-10.1 | 1:10.1.38-0ubuntu0.18.04.1 | bionic-updates/universe | source

Dan Streetman (ddstreet) on 2019-04-11
Changed in mariadb-10.1 (Ubuntu):
status: New → Fix Released
Dan Streetman (ddstreet) on 2019-04-12
description: updated
Dan Streetman (ddstreet) on 2019-04-12
description: updated
Changed in mariadb-10.1 (Ubuntu Cosmic):
assignee: nobody → Dan Streetman (ddstreet)
Changed in mariadb-10.1 (Ubuntu Bionic):
assignee: nobody → Dan Streetman (ddstreet)
status: New → In Progress
Changed in mariadb-10.1 (Ubuntu Cosmic):
status: New → In Progress
importance: Undecided → Low
Changed in mariadb-10.1 (Ubuntu Bionic):
importance: Undecided → Medium
Changed in mariadb-10.1 (Ubuntu Cosmic):
importance: Low → Medium

An upload of mariadb-10.1 to cosmic-proposed has been rejected from the upload queue for the following reason: "The SRU carries backports of security-updates up to 10.1.38. Seeing that those were security updates this might be still good for an SRU, but pulling those into cosmic through a separate pocket without a tracking bug seems like a bad idea. Security updates are usually checked for regressions by the security team - here, since the security team is not directly involved, we need to have a way to track issues regarding backporting a new upstream version. Please include a tracking bug for the upstream backport (one bug is enough) and re-submit. Thanks!".

Hello Dan, or anyone else affected,

Accepted mariadb-10.1 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mariadb-10.1/1:10.1.38-0ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mariadb-10.1 (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in mariadb-10.1 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Dan, or anyone else affected,

Accepted mariadb-10.1 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mariadb-10.1/1:10.1.38-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Dan Streetman (ddstreet) wrote :

bionic and cosmic autopkgtests all pass, with the exception of:

mariadb-10.1 (arm64)
slurm-llnl (arm64)
dbconfig-common (arm64)

It seems the autopkgtest.ubuntu.com arm64 setup is experiencing excessive slowdowns that causes the failure, unfortunately; there does not appear to be any problem with any of those autopkgtests.

since this fix was only to correct the autopkgtest failures, marking this as verification done.

tags: added: verification-done verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Dan Streetman (ddstreet) wrote :

> bionic and cosmic autopkgtests all pass, with the exception of:

this is actually caused by bug 1826883 (i believe); i'll sru a fixed jemalloc to correct these failures.

Dan Streetman (ddstreet) wrote :

jemalloc appears to need more serious work to fix correctly; instead, i opened bug 1827022 to simply do what has been done in disco and later for mariadb-10.1, which is disable building with jemalloc for arm64.

As building with jemalloc actually does cause a hang while installing mariadb on arm64, I'm marking this verification-failed-cosmic so I can upload a new version to correct that.

tags: added: verification-failed verification-failed-cosmic
removed: verification-done verification-done-cosmic
Changed in mariadb-10.1 (Ubuntu):
importance: Undecided → Medium
Dan Streetman (ddstreet) wrote :

autopkgtest regression fixed with bug 1827022, which is waiting in the cosmic upload queue for anyone from ~ubuntu-sru to approve it.

this can be marked verification-done once that upload is approved, if the autopkgtest for arm64 passes.

Łukasz Zemczak (sil2100) wrote :

Hello Dan, or anyone else affected,

Accepted mariadb-10.1 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mariadb-10.1/1:10.1.38-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-cosmic
removed: verification-failed verification-failed-cosmic
Dan Streetman (ddstreet) wrote :

autopkgtest now passes for all archs (including arm64) on cosmic.

tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mariadb-10.1 - 1:10.1.38-0ubuntu0.18.04.2

---------------
mariadb-10.1 (1:10.1.38-0ubuntu0.18.04.2) bionic; urgency=medium

  * Restore tests to stop autopkgtest failures, by adding commits
    from debian git (salsa) listed below (LP: #1824335)
  * Revert "Remove the mariadb-test-* packages"
    - debian commit 96d3f8abcbe51894d0a5f7c7cadd5219e0dc2823
  * Omit test plugins as they are not used by the tests and
    already deleted
    - debian commit 902dffe6683e43d5134b9c9b9057b42372cd47fc
  * Define autopkgtest with isolation-container to allow service
    - debian commit 596c2581176102b29751786e5d8fac05dde3a3e4
  * Utilize upstream unstable-tests list in tests/upstream
    mysql-test-run
    - debian commit 33d85312840a625c1d607601b77c45f138405cfe
  * Fix typo in commit 33d853128 so skip list is not reset when
    adding lines
    - debian commit 18480afc86838a28cd9ba89e942330c2038011e2
  * Mark selected tests as unstable so they don't stop the whole
    upload in vain
    - debian commit d44ece56d7e54c7940bebe6a4614a03c1c8621f2
  * Disable test unit.pcre_test on s390x that was failing in
    stretch-security
    - debian commit d44ece56d7e54c7940bebe6a4614a03c1c8621f2

 -- Dan Streetman <email address hidden> Fri, 12 Apr 2019 12:34:00 -0400

Changed in mariadb-10.1 (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mariadb-10.1 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Otto Kekäläinen (otto) wrote :

See original bug report https://bugs.launchpad.net/ubuntu/+source/mariadb-10.1/+bug/1757107 and in particular commit https://bugs.launchpad.net/ubuntu/+source/mariadb-10.1/+bug/1757107/comments/11

This problem was introduced by sloppy maintainer work, pushing in 10.2 to Debian repos without prior approval by other maintainers, and aggregated by uploads to the archive bypassing git, and not stored to git afterwards either so we lost track of changes and normal QA workflow.

Please in the future try to communcate with original maintainers and uploaders before doing changes, and try to submit your changes for inclusion to the git repo where MariaDB for Ubuntu is maintained: https://wiki.debian.org/Teams/MySQL/patches

Thank you!

Dan Streetman (ddstreet) wrote :

@otto, sorry it's not clear to me from your comment, is there something wrong with this upload?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mariadb-10.1 - 1:10.1.38-0ubuntu0.18.10.2

---------------
mariadb-10.1 (1:10.1.38-0ubuntu0.18.10.2) cosmic; urgency=medium

  * This update is a port of the package from Bionic,
    which includes security updates, as shown in the previous
    changelog entries. (LP: #1824979)
  * Restore tests to stop autopkgtest failures, by adding commits
    from debian git (salsa) listed below (LP: #1824335)
  * Revert "Remove the mariadb-test-* packages"
    - debian commit 96d3f8abcbe51894d0a5f7c7cadd5219e0dc2823
  * Omit test plugins as they are not used by the tests and
    already deleted
    - debian commit 902dffe6683e43d5134b9c9b9057b42372cd47fc
  * Define autopkgtest with isolation-container to allow service
    - debian commit 596c2581176102b29751786e5d8fac05dde3a3e4
  * Utilize upstream unstable-tests list in tests/upstream
    mysql-test-run
    - debian commit 33d85312840a625c1d607601b77c45f138405cfe
  * Fix typo in commit 33d853128 so skip list is not reset when
    adding lines
    - debian commit 18480afc86838a28cd9ba89e942330c2038011e2
  * Mark selected tests as unstable so they don't stop the whole
    upload in vain
    - debian commit d44ece56d7e54c7940bebe6a4614a03c1c8621f2
  * Disable test unit.pcre_test on s390x that was failing in
    stretch-security
    - debian commit d44ece56d7e54c7940bebe6a4614a03c1c8621f2
  * d/unstable-tests.ppc64el: add main.sp, which always fails on cosmic
  * d/mariadb-test-data.install: install per-arch unstable-tests files
  * d/tests/upstream: skip per-arch unstable-tests
  * d/control, d/rules:
    - Do not build with jemalloc on arm64; it hangs when installing
      mariadb-server-10.1 (and autopkgtests fail).
      (LP: #1827022)

 -- Dan Streetman <email address hidden> Tue, 30 Apr 2019 05:21:53 -0400

Changed in mariadb-10.1 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers